From e046b9c759727818085ca3a96748666a0f85930f Mon Sep 17 00:00:00 2001
From: Laszlo Ersek <lersek@redhat.com>
Date: Thu, 21 Nov 2013 16:27:17 +0100
Subject: introduce RFQDN_REDHAT (RHEL 6->7 fwd)

RH-Author: Laszlo Ersek <lersek@redhat.com>
Message-id: <1385051239-3677-2-git-send-email-lersek@redhat.com>
Patchwork-id: 55836
O-Subject: [RHEL-7.0 qemu-kvm PATCH 1/3] introduce RFQDN_REDHAT (RHEL 6->7 fwd)
Bugzilla: 971933
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Jiri Denemark <jdenemar@redhat.com>
RH-Acked-by: Luiz Capitulino <lcapitulino@redhat.com>

Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=971933

This forward ports the final effect of RHEL-6 commit

  commit 8d99c4ad4d9fa53768bfbca8606457f8179f4404
  Author: Luiz Capitulino <lcapitulino@redhat.com>
  Date:   Fri May 14 22:49:19 2010 -0300

      Monitor: Make RFQDN_REDHAT public

Signed-off-by: Laszlo Ersek <lersek@redhat.com>
---
 include/monitor/monitor.h | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/include/monitor/monitor.h b/include/monitor/monitor.h
index aa0f373..d22b2de 100644
--- a/include/monitor/monitor.h
+++ b/include/monitor/monitor.h
@@ -14,6 +14,9 @@ extern Monitor *cur_mon;
 #define MONITOR_USE_CONTROL   0x04
 #define MONITOR_USE_PRETTY    0x08
 
+/* Red Hat Monitor's prefix (reversed fully qualified domain) */
+#define RFQDN_REDHAT "__com.redhat_"
+
 bool monitor_cur_is_qmp(void);
 
 void monitor_init(CharDriverState *chr, int flags);
-- 
2.5.5

